Ignore:
Timestamp:
Jan 30, 2013, 5:50:08 PM (6 years ago)
Author:
jeremyhu@…
Message:

webkit-gtk: Define MAC_OS_X_VERSION_MIN_REQUIRED since Availability.h isn't available on tiger (#37828)

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/www/webkit-gtk/Portfile

    r102295 r102314  
    246246        configure.cppflags-append -D__MAC_OS_X_VERSION_MAX_ALLOWED=1050
    247247    }
     248
     249    if {$macosx_deployment_target == "10.4" ||
     250        (${os.major} == 8 && $macosx_deployment_target == "")} {
     251
     252        # https://trac.macports.org/ticket/37828
     253        configure.cppflags-append -D__MAC_OS_X_VERSION_MIN_REQUIRED=1040
     254    }
    248255}
    249256
Note: See TracChangeset for help on using the changeset viewer.